浏览代码

Add a script to start OBS for a specific classroom

Samuel W. Flint 2 月之前
父节点
当前提交
f8c3dfc554
共有 1 个文件被更改,包括 14 次插入0 次删除
  1. 14 0
      obs-classroom

+ 14 - 0
obs-classroom

@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+if [ $# -lt 1 ] ; then
+    echo "$(basename $0) CLASSROOM OBS-ARGS*" >&2
+    exit 1
+fi
+
+CLASSROM="${1}"
+shift
+
+obs-inhibit \
+    --profile "Lecture ($1)" \
+    --collection "Lecture ($1)" \
+    $@